Index: src/wp-content/themes/twentyfifteen/functions.php
===================================================================
--- src/wp-content/themes/twentyfifteen/functions.php	(revision 40901)
+++ src/wp-content/themes/twentyfifteen/functions.php	(working copy)
@@ -42,7 +42,7 @@
 }
 
 if ( ! function_exists( 'twentyfifteen_setup' ) ) :
-/**
+	/**
  * Sets up theme defaults and registers support for various WordPress features.
  *
  * Note that this function is hooked into the after_setup_theme hook, which
@@ -51,75 +51,87 @@
  *
  * @since Twenty Fifteen 1.0
  */
-function twentyfifteen_setup() {
-
-	/*
-	 * Make theme available for translation.
-	 * Translations can be filed at WordPress.org. See: https://translate.wordpress.org/projects/wp-themes/twentyfifteen
-	 * If you're building a theme based on twentyfifteen, use a find and replace
-	 * to change 'twentyfifteen' to the name of your theme in all the template files
-	 */
-	load_theme_textdomain( 'twentyfifteen' );
-
-	// Add default posts and comments RSS feed links to head.
-	add_theme_support( 'automatic-feed-links' );
-
-	/*
-	 * Let WordPress manage the document title.
-	 * By adding theme support, we declare that this theme does not use a
-	 * hard-coded <title> tag in the document head, and expect WordPress to
-	 * provide it for us.
-	 */
-	add_theme_support( 'title-tag' );
-
-	/*
-	 * Enable support for Post Thumbnails on posts and pages.
-	 *
-	 * See: https://codex.wordpress.org/Function_Reference/add_theme_support#Post_Thumbnails
-	 */
-	add_theme_support( 'post-thumbnails' );
-	set_post_thumbnail_size( 825, 510, true );
-
-	// This theme uses wp_nav_menu() in two locations.
-	register_nav_menus( array(
-		'primary' => __( 'Primary Menu',      'twentyfifteen' ),
-		'social'  => __( 'Social Links Menu', 'twentyfifteen' ),
-	) );
-
-	/*
-	 * Switch default core markup for search form, comment form, and comments
-	 * to output valid HTML5.
-	 */
-	add_theme_support( 'html5', array(
-		'search-form', 'comment-form', 'comment-list', 'gallery', 'caption'
-	) );
+	function twentyfifteen_setup() {
 
-	/*
-	 * Enable support for Post Formats.
-	 *
-	 * See: https://codex.wordpress.org/Post_Formats
-	 */
-	add_theme_support( 'post-formats', array(
-		'aside', 'image', 'video', 'quote', 'link', 'gallery', 'status', 'audio', 'chat'
-	) );
-
-	/*
-	 * Enable support for custom logo.
-	 *
-	 * @since Twenty Fifteen 1.5
-	 */
-	add_theme_support( 'custom-logo', array(
-		'height'      => 248,
-		'width'       => 248,
-		'flex-height' => true,
-	) );
+		/*
+		 * Make theme available for translation.
+		 * Translations can be filed at WordPress.org. See: https://translate.wordpress.org/projects/wp-themes/twentyfifteen
+		 * If you're building a theme based on twentyfifteen, use a find and replace
+		 * to change 'twentyfifteen' to the name of your theme in all the template files
+		 */
+		load_theme_textdomain( 'twentyfifteen' );
+
+		// Add default posts and comments RSS feed links to head.
+		add_theme_support( 'automatic-feed-links' );
+
+		/*
+		 * Let WordPress manage the document title.
+		 * By adding theme support, we declare that this theme does not use a
+		 * hard-coded <title> tag in the document head, and expect WordPress to
+		 * provide it for us.
+		 */
+		add_theme_support( 'title-tag' );
+
+		/*
+		 * Enable support for Post Thumbnails on posts and pages.
+		 *
+		 * See: https://codex.wordpress.org/Function_Reference/add_theme_support#Post_Thumbnails
+		 */
+		add_theme_support( 'post-thumbnails' );
+		set_post_thumbnail_size( 825, 510, true );
+
+		// This theme uses wp_nav_menu() in two locations.
+		register_nav_menus( array(
+			'primary' => __( 'Primary Menu',      'twentyfifteen' ),
+			'social'  => __( 'Social Links Menu', 'twentyfifteen' ),
+		) );
+
+			/*
+			 * Switch default core markup for search form, comment form, and comments
+			 * to output valid HTML5.
+			 */
+			add_theme_support( 'html5', array(
+				'search-form',
+				'comment-form',
+				'comment-list',
+				'gallery',
+				'caption',
+			) );
+
+			/*
+			 * Enable support for Post Formats.
+			 *
+			 * See: https://codex.wordpress.org/Post_Formats
+			 */
+			add_theme_support( 'post-formats', array(
+				'aside',
+				'image',
+				'video',
+				'quote',
+				'link',
+				'gallery',
+				'status',
+				'audio',
+				'chat',
+			) );
+
+			/*
+			 * Enable support for custom logo.
+			 *
+			 * @since Twenty Fifteen 1.5
+			 */
+			add_theme_support( 'custom-logo', array(
+				'height'      => 248,
+				'width'       => 248,
+				'flex-height' => true,
+			) );
 
-	$color_scheme  = twentyfifteen_get_color_scheme();
-	$default_color = trim( $color_scheme[0], '#' );
+			$color_scheme  = twentyfifteen_get_color_scheme();
+			$default_color = trim( $color_scheme[0], '#' );
 
-	// Setup the WordPress core custom background feature.
+			// Setup the WordPress core custom background feature.
 
-	/**
+			/**
 	 * Filter Twenty Fifteen custom-header support arguments.
 	 *
 	 * @since Twenty Fifteen 1.0
@@ -131,20 +143,20 @@
 	 *     @type string $default-attachment     Default attachment of the header.
 	 * }
 	 */
-	add_theme_support( 'custom-background', apply_filters( 'twentyfifteen_custom_background_args', array(
-		'default-color'      => $default_color,
-		'default-attachment' => 'fixed',
-	) ) );
-
-	/*
-	 * This theme styles the visual editor to resemble the theme style,
-	 * specifically font, colors, icons, and column width.
-	 */
-	add_editor_style( array( 'css/editor-style.css', 'genericons/genericons.css', twentyfifteen_fonts_url() ) );
+			add_theme_support( 'custom-background', apply_filters( 'twentyfifteen_custom_background_args', array(
+				'default-color'      => $default_color,
+				'default-attachment' => 'fixed',
+			) ) );
+
+			/*
+			 * This theme styles the visual editor to resemble the theme style,
+			 * specifically font, colors, icons, and column width.
+			 */
+			add_editor_style( array( 'css/editor-style.css', 'genericons/genericons.css', twentyfifteen_fonts_url() ) );
 
-	// Indicate widget sidebars can use selective refresh in the Customizer.
-	add_theme_support( 'customize-selective-refresh-widgets' );
-}
+			// Indicate widget sidebars can use selective refresh in the Customizer.
+			add_theme_support( 'customize-selective-refresh-widgets' );
+	}
 endif; // twentyfifteen_setup
 add_action( 'after_setup_theme', 'twentyfifteen_setup' );
 
@@ -169,67 +181,67 @@
 add_action( 'widgets_init', 'twentyfifteen_widgets_init' );
 
 if ( ! function_exists( 'twentyfifteen_fonts_url' ) ) :
-/**
+	/**
  * Register Google fonts for Twenty Fifteen.
  *
  * @since Twenty Fifteen 1.0
  *
  * @return string Google fonts URL for the theme.
  */
-function twentyfifteen_fonts_url() {
-	$fonts_url = '';
-	$fonts     = array();
-	$subsets   = 'latin,latin-ext';
-
-	/*
-	 * Translators: If there are characters in your language that are not supported
-	 * by Noto Sans, translate this to 'off'. Do not translate into your own language.
-	 */
-	if ( 'off' !== _x( 'on', 'Noto Sans font: on or off', 'twentyfifteen' ) ) {
-		$fonts[] = 'Noto Sans:400italic,700italic,400,700';
-	}
+	function twentyfifteen_fonts_url() {
+		$fonts_url = '';
+		$fonts     = array();
+		$subsets   = 'latin,latin-ext';
+
+		/*
+		 * Translators: If there are characters in your language that are not supported
+		 * by Noto Sans, translate this to 'off'. Do not translate into your own language.
+		 */
+		if ( 'off' !== _x( 'on', 'Noto Sans font: on or off', 'twentyfifteen' ) ) {
+			$fonts[] = 'Noto Sans:400italic,700italic,400,700';
+		}
 
-	/*
-	 * Translators: If there are characters in your language that are not supported
-	 * by Noto Serif, translate this to 'off'. Do not translate into your own language.
-	 */
-	if ( 'off' !== _x( 'on', 'Noto Serif font: on or off', 'twentyfifteen' ) ) {
-		$fonts[] = 'Noto Serif:400italic,700italic,400,700';
-	}
+		/*
+		 * Translators: If there are characters in your language that are not supported
+		 * by Noto Serif, translate this to 'off'. Do not translate into your own language.
+		 */
+		if ( 'off' !== _x( 'on', 'Noto Serif font: on or off', 'twentyfifteen' ) ) {
+			$fonts[] = 'Noto Serif:400italic,700italic,400,700';
+		}
 
-	/*
-	 * Translators: If there are characters in your language that are not supported
-	 * by Inconsolata, translate this to 'off'. Do not translate into your own language.
-	 */
-	if ( 'off' !== _x( 'on', 'Inconsolata font: on or off', 'twentyfifteen' ) ) {
-		$fonts[] = 'Inconsolata:400,700';
-	}
+		/*
+		 * Translators: If there are characters in your language that are not supported
+		 * by Inconsolata, translate this to 'off'. Do not translate into your own language.
+		 */
+		if ( 'off' !== _x( 'on', 'Inconsolata font: on or off', 'twentyfifteen' ) ) {
+			$fonts[] = 'Inconsolata:400,700';
+		}
 
-	/*
-	 * Translators: To add an additional character subset specific to your language,
-	 * translate this to 'greek', 'cyrillic', 'devanagari' or 'vietnamese'. Do not translate into your own language.
-	 */
-	$subset = _x( 'no-subset', 'Add new subset (greek, cyrillic, devanagari, vietnamese)', 'twentyfifteen' );
+		/*
+		 * Translators: To add an additional character subset specific to your language,
+		 * translate this to 'greek', 'cyrillic', 'devanagari' or 'vietnamese'. Do not translate into your own language.
+		 */
+		$subset = _x( 'no-subset', 'Add new subset (greek, cyrillic, devanagari, vietnamese)', 'twentyfifteen' );
+
+		if ( 'cyrillic' == $subset ) {
+			$subsets .= ',cyrillic,cyrillic-ext';
+		} elseif ( 'greek' == $subset ) {
+			$subsets .= ',greek,greek-ext';
+		} elseif ( 'devanagari' == $subset ) {
+			$subsets .= ',devanagari';
+		} elseif ( 'vietnamese' == $subset ) {
+			$subsets .= ',vietnamese';
+		}
 
-	if ( 'cyrillic' == $subset ) {
-		$subsets .= ',cyrillic,cyrillic-ext';
-	} elseif ( 'greek' == $subset ) {
-		$subsets .= ',greek,greek-ext';
-	} elseif ( 'devanagari' == $subset ) {
-		$subsets .= ',devanagari';
-	} elseif ( 'vietnamese' == $subset ) {
-		$subsets .= ',vietnamese';
-	}
+		if ( $fonts ) {
+			$fonts_url = add_query_arg( array(
+				'family' => urlencode( implode( '|', $fonts ) ),
+				'subset' => urlencode( $subsets ),
+			), 'https://fonts.googleapis.com/css' );
+		}
 
-	if ( $fonts ) {
-		$fonts_url = add_query_arg( array(
-			'family' => urlencode( implode( '|', $fonts ) ),
-			'subset' => urlencode( $subsets ),
-		), 'https://fonts.googleapis.com/css' );
+			return $fonts_url;
 	}
-
-	return $fonts_url;
-}
 endif;
 
 /**
Index: src/wp-content/themes/twentyfifteen/inc/custom-header.php
===================================================================
--- src/wp-content/themes/twentyfifteen/inc/custom-header.php	(revision 40901)
+++ src/wp-content/themes/twentyfifteen/inc/custom-header.php	(working copy)
@@ -53,10 +53,10 @@
 	$color = trim( $color, '#' );
 
 	if ( strlen( $color ) == 3 ) {
-		$r = hexdec( substr( $color, 0, 1 ).substr( $color, 0, 1 ) );
-		$g = hexdec( substr( $color, 1, 1 ).substr( $color, 1, 1 ) );
-		$b = hexdec( substr( $color, 2, 1 ).substr( $color, 2, 1 ) );
-	} else if ( strlen( $color ) == 6 ) {
+		$r = hexdec( substr( $color, 0, 1 ) . substr( $color, 0, 1 ) );
+		$g = hexdec( substr( $color, 1, 1 ) . substr( $color, 1, 1 ) );
+		$b = hexdec( substr( $color, 2, 1 ) . substr( $color, 2, 1 ) );
+	} elseif ( strlen( $color ) == 6 ) {
 		$r = hexdec( substr( $color, 0, 2 ) );
 		$g = hexdec( substr( $color, 2, 2 ) );
 		$b = hexdec( substr( $color, 4, 2 ) );
@@ -64,29 +64,33 @@
 		return array();
 	}
 
-	return array( 'red' => $r, 'green' => $g, 'blue' => $b );
+	return array(
+		'red' => $r,
+		'green' => $g,
+		'blue' => $b,
+	);
 }
 
 if ( ! function_exists( 'twentyfifteen_header_style' ) ) :
-/**
+	/**
  * Styles the header image and text displayed on the blog.
  *
  * @since Twenty Fifteen 1.0
  *
  * @see twentyfifteen_custom_header_setup()
  */
-function twentyfifteen_header_style() {
-	$header_image = get_header_image();
+	function twentyfifteen_header_style() {
+		$header_image = get_header_image();
 
-	// If no custom options for text are set, let's bail.
-	if ( empty( $header_image ) && display_header_text() ) {
-		return;
-	}
+		// If no custom options for text are set, let's bail.
+		if ( empty( $header_image ) && display_header_text() ) {
+			return;
+		}
 
-	// If we get this far, we have custom styles. Let's do this.
-	?>
-	<style type="text/css" id="twentyfifteen-header-css">
-	<?php
+		// If we get this far, we have custom styles. Let's do this.
+		?>
+		<style type="text/css" id="twentyfifteen-header-css">
+		<?php
 		// Short header for when there is no Custom Header and Header Text is hidden.
 		if ( empty( $header_image ) && ! display_header_text() ) :
 	?>
@@ -182,7 +186,7 @@
 	<?php endif; ?>
 	</style>
 	<?php
-}
+	}
 endif; // twentyfifteen_header_style
 
 /**
Index: src/wp-content/themes/twentyfourteen/content.php
===================================================================
--- src/wp-content/themes/twentyfourteen/content.php	(revision 40901)
+++ src/wp-content/themes/twentyfourteen/content.php	(working copy)
@@ -21,8 +21,8 @@
 		<?php
 			endif;
 
-			if ( is_single() ) :
-				the_title( '<h1 class="entry-title">', '</h1>' );
+if ( is_single() ) :
+	the_title( '<h1 class="entry-title">', '</h1>' );
 			else :
 				the_title( '<h1 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h1>' );
 			endif;
@@ -30,10 +30,11 @@
 
 		<div class="entry-meta">
 			<?php
-				if ( 'post' == get_post_type() )
-					twentyfourteen_posted_on();
+			if ( 'post' == get_post_type() ) {
+				twentyfourteen_posted_on();
+			}
 
-				if ( ! post_password_required() && ( comments_open() || get_comments_number() ) ) :
+			if ( ! post_password_required() && ( comments_open() || get_comments_number() ) ) :
 			?>
 			<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'twentyfourteen' ), __( '1 Comment', 'twentyfourteen' ), __( '% Comments', 'twentyfourteen' ) ); ?></span>
 			<?php
Index: src/wp-content/themes/twentyfourteen/functions.php
===================================================================
--- src/wp-content/themes/twentyfourteen/functions.php	(revision 40901)
+++ src/wp-content/themes/twentyfourteen/functions.php	(working copy)
@@ -44,7 +44,7 @@
 }
 
 if ( ! function_exists( 'twentyfourteen_setup' ) ) :
-/**
+	/**
  * Twenty Fourteen setup.
  *
  * Set up theme defaults and registers support for various WordPress features.
@@ -55,68 +55,78 @@
  *
  * @since Twenty Fourteen 1.0
  */
-function twentyfourteen_setup() {
-
-	/*
-	 * Make Twenty Fourteen available for translation.
-	 *
-	 * Translations can be filed at WordPress.org. See: https://translate.wordpress.org/projects/wp-themes/twentyfourteen
-	 * If you're building a theme based on Twenty Fourteen, use a find and
-	 * replace to change 'twentyfourteen' to the name of your theme in all
-	 * template files.
-	 */
-	load_theme_textdomain( 'twentyfourteen' );
-
-	// This theme styles the visual editor to resemble the theme style.
-	add_editor_style( array( 'css/editor-style.css', twentyfourteen_font_url(), 'genericons/genericons.css' ) );
-
-	// Add RSS feed links to <head> for posts and comments.
-	add_theme_support( 'automatic-feed-links' );
-
-	// Enable support for Post Thumbnails, and declare two sizes.
-	add_theme_support( 'post-thumbnails' );
-	set_post_thumbnail_size( 672, 372, true );
-	add_image_size( 'twentyfourteen-full-width', 1038, 576, true );
-
-	// This theme uses wp_nav_menu() in two locations.
-	register_nav_menus( array(
-		'primary'   => __( 'Top primary menu', 'twentyfourteen' ),
-		'secondary' => __( 'Secondary menu in left sidebar', 'twentyfourteen' ),
-	) );
-
-	/*
-	 * Switch default core markup for search form, comment form, and comments
-	 * to output valid HTML5.
-	 */
-	add_theme_support( 'html5', array(
-		'search-form', 'comment-form', 'comment-list', 'gallery', 'caption'
-	) );
+	function twentyfourteen_setup() {
 
-	/*
-	 * Enable support for Post Formats.
-	 * See https://codex.wordpress.org/Post_Formats
-	 */
-	add_theme_support( 'post-formats', array(
-		'aside', 'image', 'video', 'audio', 'quote', 'link', 'gallery',
-	) );
+		/*
+		 * Make Twenty Fourteen available for translation.
+		 *
+		 * Translations can be filed at WordPress.org. See: https://translate.wordpress.org/projects/wp-themes/twentyfourteen
+		 * If you're building a theme based on Twenty Fourteen, use a find and
+		 * replace to change 'twentyfourteen' to the name of your theme in all
+		 * template files.
+		 */
+		load_theme_textdomain( 'twentyfourteen' );
+
+		// This theme styles the visual editor to resemble the theme style.
+		add_editor_style( array( 'css/editor-style.css', twentyfourteen_font_url(), 'genericons/genericons.css' ) );
+
+		// Add RSS feed links to <head> for posts and comments.
+		add_theme_support( 'automatic-feed-links' );
+
+		// Enable support for Post Thumbnails, and declare two sizes.
+		add_theme_support( 'post-thumbnails' );
+		set_post_thumbnail_size( 672, 372, true );
+		add_image_size( 'twentyfourteen-full-width', 1038, 576, true );
+
+		// This theme uses wp_nav_menu() in two locations.
+		register_nav_menus( array(
+			'primary'   => __( 'Top primary menu', 'twentyfourteen' ),
+			'secondary' => __( 'Secondary menu in left sidebar', 'twentyfourteen' ),
+		) );
 
-	// This theme allows users to set a custom background.
-	add_theme_support( 'custom-background', apply_filters( 'twentyfourteen_custom_background_args', array(
-		'default-color' => 'f5f5f5',
-	) ) );
-
-	// Add support for featured content.
-	add_theme_support( 'featured-content', array(
-		'featured_content_filter' => 'twentyfourteen_get_featured_posts',
-		'max_posts' => 6,
-	) );
+			/*
+			 * Switch default core markup for search form, comment form, and comments
+			 * to output valid HTML5.
+			 */
+			add_theme_support( 'html5', array(
+				'search-form',
+				'comment-form',
+				'comment-list',
+				'gallery',
+				'caption',
+			) );
+
+			/*
+			 * Enable support for Post Formats.
+			 * See https://codex.wordpress.org/Post_Formats
+			 */
+			add_theme_support( 'post-formats', array(
+				'aside',
+				'image',
+				'video',
+				'audio',
+				'quote',
+				'link',
+				'gallery',
+			) );
+
+			// This theme allows users to set a custom background.
+			add_theme_support( 'custom-background', apply_filters( 'twentyfourteen_custom_background_args', array(
+				'default-color' => 'f5f5f5',
+			) ) );
+
+			// Add support for featured content.
+			add_theme_support( 'featured-content', array(
+				'featured_content_filter' => 'twentyfourteen_get_featured_posts',
+				'max_posts' => 6,
+			) );
 
-	// This theme uses its own gallery styles.
-	add_filter( 'use_default_gallery_style', '__return_false' );
+			// This theme uses its own gallery styles.
+			add_filter( 'use_default_gallery_style', '__return_false' );
 
-	// Indicate widget sidebars can use selective refresh in the Customizer.
-	add_theme_support( 'customize-selective-refresh-widgets' );
-}
+			// Indicate widget sidebars can use selective refresh in the Customizer.
+			add_theme_support( 'customize-selective-refresh-widgets' );
+	}
 endif; // twentyfourteen_setup
 add_action( 'after_setup_theme', 'twentyfourteen_setup' );
 
@@ -259,7 +269,7 @@
 		wp_enqueue_script( 'twentyfourteen-slider', get_template_directory_uri() . '/js/slider.js', array( 'jquery' ), '20131205', true );
 		wp_localize_script( 'twentyfourteen-slider', 'featuredSliderDefaults', array(
 			'prevText' => __( 'Previous', 'twentyfourteen' ),
-			'nextText' => __( 'Next', 'twentyfourteen' )
+			'nextText' => __( 'Next', 'twentyfourteen' ),
 		) );
 	}
 
@@ -303,14 +313,14 @@
 add_filter( 'wp_resource_hints', 'twentyfourteen_resource_hints', 10, 2 );
 
 if ( ! function_exists( 'twentyfourteen_the_attached_image' ) ) :
-/**
+	/**
  * Print the attached image with a link to the next attached image.
  *
  * @since Twenty Fourteen 1.0
  */
-function twentyfourteen_the_attached_image() {
-	$post                = get_post();
-	/**
+	function twentyfourteen_the_attached_image() {
+		$post                = get_post();
+		/**
 	 * Filter the default Twenty Fourteen attachment size.
 	 *
 	 * @since Twenty Fourteen 1.0
@@ -322,94 +332,92 @@
 	 *     @type int $width  Width of the image in pixels. Default 810.
 	 * }
 	 */
-	$attachment_size     = apply_filters( 'twentyfourteen_attachment_size', array( 810, 810 ) );
-	$next_attachment_url = wp_get_attachment_url();
+		$attachment_size     = apply_filters( 'twentyfourteen_attachment_size', array( 810, 810 ) );
+		$next_attachment_url = wp_get_attachment_url();
 
-	/*
-	 * Grab the IDs of all the image attachments in a gallery so we can get the URL
-	 * of the next adjacent image in a gallery, or the first image (if we're
-	 * looking at the last image in a gallery), or, in a gallery of one, just the
-	 * link to that image file.
-	 */
-	$attachment_ids = get_posts( array(
-		'post_parent'    => $post->post_parent,
-		'fields'         => 'ids',
-		'numberposts'    => -1,
-		'post_status'    => 'inherit',
-		'post_type'      => 'attachment',
-		'post_mime_type' => 'image',
-		'order'          => 'ASC',
-		'orderby'        => 'menu_order ID',
-	) );
+		/*
+		 * Grab the IDs of all the image attachments in a gallery so we can get the URL
+		 * of the next adjacent image in a gallery, or the first image (if we're
+		 * looking at the last image in a gallery), or, in a gallery of one, just the
+		 * link to that image file.
+		 */
+		$attachment_ids = get_posts( array(
+			'post_parent'    => $post->post_parent,
+			'fields'         => 'ids',
+			'numberposts'    => -1,
+			'post_status'    => 'inherit',
+			'post_type'      => 'attachment',
+			'post_mime_type' => 'image',
+			'order'          => 'ASC',
+			'orderby'        => 'menu_order ID',
+		) );
 
-	// If there is more than 1 attachment in a gallery...
-	if ( count( $attachment_ids ) > 1 ) {
-		foreach ( $attachment_ids as $idx => $attachment_id ) {
-			if ( $attachment_id == $post->ID ) {
-				$next_id = $attachment_ids[ ( $idx + 1 ) % count( $attachment_ids ) ];
-				break;
+			// If there is more than 1 attachment in a gallery...
+		if ( count( $attachment_ids ) > 1 ) {
+			foreach ( $attachment_ids as $idx => $attachment_id ) {
+				if ( $attachment_id == $post->ID ) {
+					$next_id = $attachment_ids[ ( $idx + 1 ) % count( $attachment_ids ) ];
+					break;
+				}
 			}
-		}
 
-		// get the URL of the next image attachment...
-		if ( $next_id ) {
-			$next_attachment_url = get_attachment_link( $next_id );
+			// get the URL of the next image attachment...
+			if ( $next_id ) {
+				$next_attachment_url = get_attachment_link( $next_id );
+			} // End if().
+			else {
+				$next_attachment_url = get_attachment_link( reset( $attachment_ids ) );
+			}
 		}
 
-		// or get the URL of the first image attachment.
-		else {
-			$next_attachment_url = get_attachment_link( reset( $attachment_ids ) );
-		}
+			printf( '<a href="%1$s" rel="attachment">%2$s</a>',
+				esc_url( $next_attachment_url ),
+				wp_get_attachment_image( $post->ID, $attachment_size )
+			);
 	}
-
-	printf( '<a href="%1$s" rel="attachment">%2$s</a>',
-		esc_url( $next_attachment_url ),
-		wp_get_attachment_image( $post->ID, $attachment_size )
-	);
-}
 endif;
 
 if ( ! function_exists( 'twentyfourteen_list_authors' ) ) :
-/**
+	/**
  * Print a list of all site contributors who published at least one post.
  *
  * @since Twenty Fourteen 1.0
  */
-function twentyfourteen_list_authors() {
-	$contributor_ids = get_users( array(
-		'fields'  => 'ID',
-		'orderby' => 'post_count',
-		'order'   => 'DESC',
-		'who'     => 'authors',
-	) );
+	function twentyfourteen_list_authors() {
+		$contributor_ids = get_users( array(
+			'fields'  => 'ID',
+			'orderby' => 'post_count',
+			'order'   => 'DESC',
+			'who'     => 'authors',
+		) );
 
-	foreach ( $contributor_ids as $contributor_id ) :
-		$post_count = count_user_posts( $contributor_id );
+		foreach ( $contributor_ids as $contributor_id ) :
+			$post_count = count_user_posts( $contributor_id );
 
-		// Move on if user has not published a post (yet).
-		if ( ! $post_count ) {
-			continue;
-		}
-	?>
+			// Move on if user has not published a post (yet).
+			if ( ! $post_count ) {
+				continue;
+			}
+			?>
 
-	<div class="contributor">
-		<div class="contributor-info">
+			<div class="contributor">
+			<div class="contributor-info">
 			<div class="contributor-avatar"><?php echo get_avatar( $contributor_id, 132 ); ?></div>
 			<div class="contributor-summary">
 				<h2 class="contributor-name"><?php echo get_the_author_meta( 'display_name', $contributor_id ); ?></h2>
 				<p class="contributor-bio">
-					<?php echo get_the_author_meta( 'description', $contributor_id ); ?>
+				<?php echo get_the_author_meta( 'description', $contributor_id ); ?>
 				</p>
 				<a class="button contributor-posts-link" href="<?php echo esc_url( get_author_posts_url( $contributor_id ) ); ?>">
-					<?php printf( _n( '%d Article', '%d Articles', $post_count, 'twentyfourteen' ), $post_count ); ?>
+				<?php printf( _n( '%d Article', '%d Articles', $post_count, 'twentyfourteen' ), $post_count ); ?>
 				</a>
 			</div><!-- .contributor-summary -->
-		</div><!-- .contributor-info -->
-	</div><!-- .contributor -->
+			</div><!-- .contributor-info -->
+		</div><!-- .contributor -->
 
-	<?php
-	endforeach;
-}
+		<?php
+		endforeach;
+	}
 endif;
 
 /**
@@ -553,9 +561,9 @@
  * `is_customize_preview` function was introduced.
  */
 if ( ! function_exists( 'is_customize_preview' ) ) :
-function is_customize_preview() {
-	global $wp_customize;
+	function is_customize_preview() {
+		global $wp_customize;
 
-	return ( $wp_customize instanceof WP_Customize_Manager ) && $wp_customize->is_preview();
-}
+		return ( $wp_customize instanceof WP_Customize_Manager ) && $wp_customize->is_preview();
+	}
 endif;
Index: src/wp-content/themes/twentyfourteen/inc/custom-header.php
===================================================================
--- src/wp-content/themes/twentyfourteen/inc/custom-header.php	(revision 40901)
+++ src/wp-content/themes/twentyfourteen/inc/custom-header.php	(working copy)
@@ -48,23 +48,24 @@
 add_action( 'after_setup_theme', 'twentyfourteen_custom_header_setup' );
 
 if ( ! function_exists( 'twentyfourteen_header_style' ) ) :
-/**
+	/**
  * Styles the header image and text displayed on the blog
  *
  * @see twentyfourteen_custom_header_setup().
  *
  */
-function twentyfourteen_header_style() {
-	$text_color = get_header_textcolor();
+	function twentyfourteen_header_style() {
+		$text_color = get_header_textcolor();
 
-	// If no custom color for text is set, let's bail.
-	if ( display_header_text() && $text_color === get_theme_support( 'custom-header', 'default-text-color' ) )
-		return;
+		// If no custom color for text is set, let's bail.
+		if ( display_header_text() && $text_color === get_theme_support( 'custom-header', 'default-text-color' ) ) {
+			return;
+		}
 
-	// If we get this far, we have custom styles.
-	?>
-	<style type="text/css" id="twentyfourteen-header-css">
-	<?php
+		// If we get this far, we have custom styles.
+		?>
+		<style type="text/css" id="twentyfourteen-header-css">
+		<?php
 		// Has the text been hidden?
 		if ( ! display_header_text() ) :
 	?>
@@ -84,64 +85,64 @@
 	<?php endif; ?>
 	</style>
 	<?php
-}
+	}
 endif; // twentyfourteen_header_style
 
 
 if ( ! function_exists( 'twentyfourteen_admin_header_style' ) ) :
-/**
+	/**
  * Style the header image displayed on the Appearance > Header screen.
  *
  * @see twentyfourteen_custom_header_setup()
  *
  * @since Twenty Fourteen 1.0
  */
-function twentyfourteen_admin_header_style() {
-?>
-	<style type="text/css" id="twentyfourteen-admin-header-css">
-	.appearance_page_custom-header #headimg {
+	function twentyfourteen_admin_header_style() {
+		?>
+		<style type="text/css" id="twentyfourteen-admin-header-css">
+		.appearance_page_custom-header #headimg {
 		background-color: #000;
 		border: none;
 		max-width: 1260px;
 		min-height: 48px;
-	}
-	#headimg h1 {
+		}
+		#headimg h1 {
 		font-family: Lato, sans-serif;
 		font-size: 18px;
 		line-height: 48px;
 		margin: 0 0 0 30px;
-	}
-	.rtl #headimg h1  {
+		}
+		.rtl #headimg h1  {
 		margin: 0 30px 0 0;
-	}
-	#headimg h1 a {
+		}
+		#headimg h1 a {
 		color: #fff;
 		text-decoration: none;
-	}
-	#headimg img {
+		}
+		#headimg img {
 		vertical-align: middle;
+		}
+		</style>
+		<?php
 	}
-	</style>
-<?php
-}
 endif; // twentyfourteen_admin_header_style
 
 if ( ! function_exists( 'twentyfourteen_admin_header_image' ) ) :
-/**
+	/**
  * Create the custom header image markup displayed on the Appearance > Header screen.
  *
  * @see twentyfourteen_custom_header_setup()
  *
  * @since Twenty Fourteen 1.0
  */
-function twentyfourteen_admin_header_image() {
-?>
-	<div id="headimg">
+	function twentyfourteen_admin_header_image() {
+		?>
+		<div id="headimg">
 		<?php if ( get_header_image() ) : ?>
 		<img src="<?php header_image(); ?>" alt="">
 		<?php endif; ?>
 		<h1 class="displaying-header-text"><a id="name" style="<?php echo esc_attr( sprintf( 'color: #%s;', get_header_textcolor() ) ); ?>" onclick="return false;" href="<?php echo esc_url( home_url( '/' ) ); ?>" tabindex="-1"><?php bloginfo( 'name' ); ?></a></h1>
 	</div>
-<?php
-}
+	<?php
+	}
 endif; // twentyfourteen_admin_header_image
